Get workspaces list
1 min
GET
https://dev1.frontu.com//client/api/v2/workspaces
Query Parameters
- versionintegerDescriptionDefault0Pattern\d+
- pageintegerDescriptionDefault1Pattern\d+
- itemsintegerDescriptionDefault100Pattern(100|200|300)
- tagstringDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonExampleExample with custom values
Responses
200
- object
- next_pageintegerDescription
- itemsobject[]
- versioninteger
- titlestringDescription
- serialNumberstringDescription
- longitudestring
- latitudestring
- notestring
- officestring
- addressstring
- citystring
- apartmentNumberinteger
- signatureCodestring
- objectCodestring
- clientobject
- titlestring
- companyCodestring
- guidstring
- systemIdstring
- createdstring
- guidstringDescription
- updatedstring
- deletedboolean
- systemIdstringDescription
- warrantyIndicatorinteger
- warrantyRequiredboolean
- warrantyStartDatestringDescription
- warrantyEndDatestringDescription
- extendedWarrantyEndDatestringDescription
- warrantyIndicatorLimitinteger<int32>DescriptionFormatint32
- extendedWarrantyIndicatorLimitinteger<int32>DescriptionFormatint32
- warrantyResponsiblePersonobject
- firstNamestring
- lastNamestring
- emailstring
- phonestring
- guidstring
- systemIdstring
- typestring
- fullAddressstring
- regionstring
- tagsstring[]Description
- customValuesobject[]
- guidstringDescription
- valuestring
404
curl
curl --request GET \
--url 'https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Returned when successful
{
"next_page": 0,
"items": [
{
"version": 0,
"title": "",
"serialNumber": "",
"longitude": "",
"latitude": "",
"note": "",
"office": "",
"address": "",
"city": "",
"apartmentNumber": 0,
"signatureCode": "",
"objectCode": "",
"client": {
"title": "",
"companyCode": "",
"guid": "",
"systemId": ""
},
"created": "",
"guid": "",
"updated": "",
"deleted": false,
"systemId": "",
"warrantyIndicator": 0,
"warrantyRequired": false,
"warrantyStartDate": "",
"warrantyEndDate": "",
"extendedWarrantyEndDate": "",
"warrantyIndicatorLimit": "",
"extendedWarrantyIndicatorLimit": "",
"warrantyResponsiblePerson": {
"firstName": "",
"lastName": "",
"email": "",
"phone": "",
"guid": "",
"systemId": ""
},
"type": "",
"fullAddress": "",
"region": "",
"tags": [
""
],
"customValues": [
{
"guid": "",
"value": ""
}
]
}
]
}404
// Entity Not Found